package cn.meowrain.aioj.backend.framework.core.exception;

import cn.meowrain.aioj.backend.framework.core.errorcode.ErrorCode;
import cn.meowrain.aioj.backend.framework.core.errorcode.IErrorCode;
import lombok.ToString;

/**
 * 调用第三方服务异常
 */
@ToString
public class RemoteException extends AbstractException {

	public RemoteException(IErrorCode errorCode) {
		this(null, null, errorCode);
	}

	public RemoteException(String message, IErrorCode errorCode) {
		this(message, null, errorCode);
	}

	public RemoteException(String message, Throwable throwable, IErrorCode errorCode) {
		super(message, throwable, errorCode);
	}

	public RemoteException(String message) {
		this(message, null, ErrorCode.API_REQUEST_ERROR);
	}

}
